<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.eurostocks.com
 * @since             1.0.0
 * @package           Eurostocks
 *
 * @wordpress-plugin
 * Plugin Name:       EuroStocks
 * Plugin URI:        https://public.3.basecamp.com/p/HfnAq3xXPkCk5HGX2fj2Dcj3
 * Description:       Display EuroStocks classified ads on your WordPress website
 * Version:           3.2.14
 * Author:            EuroStocks
 * Author URI:        https://www.eurostocks.com
 * Text Domain:       eurostocks
 * Domain Path:       /languages
 */


// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'EUROSTOCKS_VERSION', '3.2.14' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-eurostocks-activator.php
 */
function eurostocks_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eurostocks-activator.php';
	Eurostocks_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-eurostocks-deactivator.php
 */
function eurostocks_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eurostocks-deactivator.php';
	Eurostocks_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'eurostocks_activate' );
register_deactivation_hook( __FILE__, 'eurostocks_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-eurostocks.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function eurostocks_run() {

	$plugin = new Eurostocks();
	$plugin->run();

}
eurostocks_run();
